using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Globalization;
using System.Web.Security;
using PushPlatform.Data;

namespace PushPlatform.Data.MvcModel
{
    public partial class PushMessageModel
    {
        
        #region Column Mapped Properties
        
        
        [Display(Name = "Id")]
        public System.String Id { get; set; }
        
        [Display(Name = "MapId")]
        public System.String MapId { get; set; }
        
        [Display(Name = "UserId")]
        public System.String UserId { get; set; }
        
        [Display(Name = "SendNumber")]
        public System.String SendNumber { get; set; }
        
        [Display(Name = "PushsysProid")]
        public System.String PushsysProid { get; set; }
        
        [Display(Name = "ProjectId")]
        public System.String ProjectId { get; set; }
        
        [Display(Name = "PushTarget")]
        public System.String PushTarget { get; set; }
        
        [Display(Name = "PushStyle")]
        public System.String PushStyle { get; set; }
        
        [Display(Name = "PushTagid")]
        public System.String PushTagid { get; set; }
        
        [Display(Name = "PushTitle")]
        public System.String PushTitle { get; set; }
        
        [Display(Name = "PushBody")]
        public System.String PushBody { get; set; }
        
        [Display(Name = "PushIoslink")]
        public System.String PushIoslink { get; set; }
        
        [Display(Name = "PushAndlink")]
        public System.String PushAndlink { get; set; }
        
        [Display(Name = "PushWeblink")]
        public System.String PushWeblink { get; set; }
        
        [Display(Name = "PushWechatlink")]
        public System.String PushWechatlink { get; set; }
        
        [Display(Name = "HaveSend")]
        public System.Int32? HaveSend { get; set; }
        
        [Display(Name = "IsSuccessed")]
        public System.Int32 IsSuccessed { get; set; }
        
        [Display(Name = "SendTime")]
        public System.DateTime SendTime { get; set; }
        
        [Display(Name = "ReturnCode")]
        public System.String ReturnCode { get; set; }
        
        [Display(Name = "Haveread")]
        public System.Int32 Haveread { get; set; }
        
        [Display(Name = "IsDeleted")]
        public System.Int32 IsDeleted { get; set; }
        
        [Display(Name = "CreateUser")]
        public System.String CreateUser { get; set; }
        
        [Display(Name = "CreateTime")]
        public System.DateTime CreateTime { get; set; }
        
        [Display(Name = "UpdateUser")]
        public System.String UpdateUser { get; set; }
        
        [Display(Name = "UpdateTime")]
        public System.DateTime? UpdateTime { get; set; }
        
        [Display(Name = "Timestamp")]
        public System.Int64 Timestamp { get; set; }
        
        
        
        
        
        
        
        #endregion
        
        
    }
}

